using System;
using System.Collections;
using System.Collections.Generic;

namespace tcEAI_C
{
    public class clsERP
    {
        #region --- Combine (Exception, Message) ---

        public static bool combineException(ref List<ArrayList> strException, string code = null, string sysmsg = null, string mesmsg = null, string stack = null)
        {
            bool result = false;
            try
            {
                var al = new ArrayList();
                al.Add(code);
                al.Add(sysmsg);
                al.Add(mesmsg);
                al.Add(stack);
                strException.Add(al);
                result = true;
            }
            catch (Exception ex)
            {
                result = false;
            }

            return default(bool);

        }

        public static bool combineMessage(ref List<ArrayList> strMessage, string mcode = null, string mtype = null, string mmsg = null)
        {
            bool result = false;
            try
            {
                var al = new ArrayList();
                al.Add(mcode);
                al.Add(mtype);
                al.Add(mmsg);
                strMessage.Add(al);
                result = true;
            }
            catch (Exception ex)
            {
                result = false;
            }

            return default(bool);
        }

        public static bool combineFileMessage(ref List<ArrayList> aryFileMessage, string mmsg)
        {
            bool result = false;

            try
            {
                var al = new ArrayList();
                al.Add(mmsg);
                aryFileMessage.Add(al);
                result = true;
            }
            catch (Exception ex)
            {
                result = false;
            }

            return result;
        }
        #endregion

    }
}